Skip to main content
GET
/
entities
/
{entityId}
/
tax-compliance-checks
List an entity's tax compliance checks
curl --request GET \
  --url https://api.syntage.com/entities/{entityId}/tax-compliance-checks \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.syntage.com/entities/{entityId}/tax-compliance-checks"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.syntage.com/entities/{entityId}/tax-compliance-checks', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "@context": "/contexts/TaxComplianceCheck",
  "@id": "/entities/91106968-1abd-4d64-85c1-4e73d96fb997/tax-compliance-checks",
  "@type": "hydra:Collection",
  "hydra:member": [
    {
      "@id": "/tax-compliance-checks/91106968-1abd-4d64-85c1-4e73d96fb997",
      "@type": "TaxComplianceCheck",
      "id": "91106968-1abd-4d64-85c1-4e73d96fb997",
      "file": {
        "type": "tax_compliance_check.pdf",
        "resource": "/tax-compliance-check/91106968-1abd-4d64-85c1-4e73d96fb997",
        "mimeType": "application/pdf",
        "extension": "pdf",
        "filename": "PEIC211118IS0_20RD1174999.pdf"
      },
      "internalIdentifier": "20NE1234567",
      "taxpayer": {
        "rfc": "PEIC211118IS0",
        "name": "Pedro Infante Cruz"
      },
      "result": "no_obligations",
      "checkedAt": "2020-01-01T12:15:00.000Z",
      "createdAt": "2020-01-01T12:15:00.000Z"
    }
  ],
  "hydra:view": {
    "@id": "<string>",
    "@type": "hydra:PartialCollectionView",
    "hydra:next": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[lt]=9b8e5365-0b36-45f5-9c76-fbe439632367",
    "hydra:last": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[gt]=9b8e5365-0b36-45f5-9c76-fbe439632367"
  },
  "hydra:search": {
    "@type": "<string>",
    "hydra:template": "<string>",
    "hydra:variableRepresentation": "<string>",
    "hydra:mapping": [
      {
        "@type": "<string>",
        "variable": "<string>",
        "property": "<string>",
        "required": true
      }
    ]
  }
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}

Authorizations

X-API-Key
string
header
required

Your API key is available in the Production and Sandbox dashboards.

Path Parameters

entityId
string<uuid>
required

Query Parameters

internalIdentifier
string

The internal identifier (folio) generated by the SAT

Example:

"20NE1234567"

taxpayer.rfc
string

RFC (Registro Federal de Contribuyentes)

Required string length: 12 - 13
Example:

"PEIC211118IS0"

taxpayer.name
string

Taxpayer name

Required string length: 1 - 254
Example:

"Pedro Infante Cruz"

result
enum<string>
Available options:
positive,
negative,
no_obligations,
activity_suspended
Example:

"no_obligations"

checkedAt[before]
string

Filter by check date (less than or equal <=) Check date

Example:

"2020-01-01T12:15:00.000Z"

checkedAt[strictly_before]
string

Filter by check date (less than <) Check date

Example:

"2020-01-01T12:15:00.000Z"

checkedAt[after]
string

Filter by check date (greater than or equal >=) Check date

Example:

"2020-01-01T12:15:00.000Z"

checkedAt[strictly_after]
string

Filter by check date (greater than >) Check date

Example:

"2020-01-01T12:15:00.000Z"

createdAt[before]
string

Filter by creation date (less than or equal <=) Date and time the resource was created

Example:

"2020-01-01T12:15:00.000Z"

createdAt[strictly_before]
string

Filter by creation date (less than <) Date and time the resource was created

Example:

"2020-01-01T12:15:00.000Z"

createdAt[after]
string

Filter by creation date (greater than or equal >=) Date and time the resource was created

Example:

"2020-01-01T12:15:00.000Z"

createdAt[strictly_after]
string

Filter by creation date (greater than >) Date and time the resource was created

Example:

"2020-01-01T12:15:00.000Z"

order[checkedAt]
enum<string>

Order by check date

Available options:
asc,
desc
Example:

"asc"

order[createdAt]
enum<string>

Order by creation date

Available options:
asc,
desc
Example:

"asc"

id[lt]
string

Collection cursor pointer to the next page

id[gt]
string

Collection cursor pointer to the previous page

itemsPerPage
integer
default:20

Number of items per page

Required range: 1 <= x <= 1000

Response

Taxpayer tax compliance check collection response

@context
string
default:/contexts/TaxComplianceCheck
@id
string
default:/entities/{entityId}/tax-compliance-checks
Example:

"/entities/91106968-1abd-4d64-85c1-4e73d96fb997/tax-compliance-checks"

@type
string
default:hydra:Collection
hydra:member
object[]
hydra:view
object

Pagination information